Loading...
Searching...
No Matches
CrashSphere Struct Reference

Sphere used to detect object collisions. More...

`#include <src/object/crash_sphere.h>`

## Public Member Functions

| CrashSphere (const Math::Vector &pos=Math::Vector(), float radius=0.0f, SoundType _sound=SOUND_NONE, float _hardness=0.45f)

## Public Attributes

Math::Sphere | sphere
SoundType | sound
| Sound to be played on collision.
float | hardness
| "Hardness" of the sphere

## Detailed Description

Sphere used to detect object collisions.

## Member Data Documentation

## sphere

Math::Sphere CrashSphere::sphere

Sphere (position + radius) Sphere position is given in either object or world coordinates (see CObject functions for more info)

## sound

SoundType CrashSphere::sound

Sound to be played on collision.

## hardness

float CrashSphere::hardness

"Hardness" of the sphere

The documentation for this struct was generated from the following file:

- src/object/crash_sphere.h